Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.context
Class SkinningExternalContextFactory

    java.lang.Object
      javax.faces.context.ExternalContextFactory
          org.richfaces.context.SkinningExternalContextFactory

All Implemented Interfaces:
  javax.faces.FacesWrapper<javax.faces.context.ExternalContextFactory>

    public class SkinningExternalContextFactory

extends javax.faces.context.ExternalContextFactory
implements javax.faces.FacesWrapper<javax.faces.context.ExternalContextFactory>

Author:
  Nick Belaevski

Constructor Summary
`SkinningExternalContextFactory(javax.faces.context.ExternalContextFactory factory)`

Method Summary
`javax.faces.context.ExternalContext` | `getExternalContext(Object context, Object request, Object response)`
`javax.faces.context.ExternalContextFactory` | `getWrapped()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkinningExternalContextFactory

    public SkinningExternalContextFactory(javax.faces.context.ExternalContextFactory factory)

Method Detail

### getWrapped

    public javax.faces.context.ExternalContextFactory getWrapped()

  Specified by:
    `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.context.ExternalContextFactory>`
  Overrides:
    `getWrapped` in class `javax.faces.context.ExternalContextFactory`

### getExternalContext

    public javax.faces.context.ExternalContext getExternalContext(Object context,
                                                                  Object request,
                                                                  Object response)
                                                           throws javax.faces.FacesException

  Specified by:
    `getExternalContext` in class `javax.faces.context.ExternalContextFactory`
  Throws:
    `javax.faces.FacesException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.